using System;
using System.CodeDom;

namespace OOCodeDOM
{
	public class Method: CodeMemberMethod
	{
		public Method (string n, params CodeStatement[] s)
		{
			Name = n;

			Statements.AddRange(s);
		}

		public static Method operator + (Method m, Statement s)
		{
			m.Statements.Add(s);

			return m;
		}
	}
}
